package entity;

import java.util.List;

import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.OrderColumn;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;


@Entity
@Access(AccessType.FIELD)
@Table(uniqueConstraints=@UniqueConstraint(columnNames={"OBJECTCODETYPE", "OBJECTCODE"}))
public class ObjectTable {

	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	long id;
	
	@Column(nullable=false)
	int objectCodeType;

	@Column(nullable=false)
	int objectCode;
	
	@Column(nullable=false, length=60)
	String objectExternalString;
	
	@Column(length=60)
	String objectProperties;
	
	@OneToMany(cascade=CascadeType.ALL, mappedBy="objectTable")
	@OrderColumn(name="id")
	List<Inventory> inventory;

	public int getObjectCodeType() {
		return objectCodeType;
	}

	public void setObjectCodeType(int objectCodeType) {
		this.objectCodeType = objectCodeType;
	}

	public int getObjectCode() {
		return objectCode;
	}

	public void setObjectCode(int objectCode) {
		this.objectCode = objectCode;
	}

	public String getObjectExternalString() {
		return objectExternalString;
	}

	public void setObjectExternalString(String objectExternalString) {
		this.objectExternalString = objectExternalString;
	}

	public String getObjectProperties() {
		return objectProperties;
	}

	public void setObjectProperties(String objectProperties) {
		this.objectProperties = objectProperties;
	}

	public List<Inventory> getInventory() {
		return inventory;
	}

	public void setInventory(List<Inventory> inventory) {
		this.inventory = inventory;
	}

	public long getId() {
		return id;
	}


}
