package entity;

import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

@Entity
@Access(AccessType.FIELD)
@Table(uniqueConstraints=@UniqueConstraint(columnNames={"FEEDER", "PHASE", "REPORT_ID"}))
public class ReportQuality {

	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	long id;

	@Column(columnDefinition="INTEGER DEFAULT -1")
	int feeder;
	
	char phase;
	
	@Column(nullable=false)
	int flags;

	@Column(length=510)
	String channelInfo;

	@OneToOne(optional=false)
	@JoinColumn(name="REPORT_ID", unique=true, nullable=false, updatable=false)
	Reports report;

	public int getFeeder() {
		return feeder;
	}

	public void setFeeder(int feeder) {
		this.feeder = feeder;
	}

	public char getPhase() {
		return phase;
	}

	public void setPhase(char phase) {
		this.phase = phase;
	}

	public int getFlags() {
		return flags;
	}

	public void setFlags(int flags) {
		this.flags = flags;
	}

	public String getChannelInfo() {
		return channelInfo;
	}

	public void setChannelInfo(String channelInfo) {
		this.channelInfo = channelInfo;
	}

	public Reports getReport() {
		return report;
	}

	public void setReport(Reports report) {
		this.report = report;
	}

	public long getId() {
		return id;
	}

	

}
